# $Revision: 1.9 $, $Date: 2002/09/22 14:51:34 $
Summary:	A system load mozitor designed for blackbox
Summary(pl):	Monitor obcienia systemu zaprojektowany dla blackboksa
Name:		bbsload
Version:	0.2.5
Release:	3
License:	GPL
Group:		X11/Applications
Source0:	http://bbtools.windsofstorm.net/sources/%{name}-%{version}.tar.gz
Patch0:		%{name}-sysconfdir.patch
URL:		http://bbtools.windsofstorm.net/
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
bbsload monitors system, and memory load.
It is highly integrated with blackbox window manager (can use it's theme
settings), but can work also with other WM.

%description -l pl
bbsload monitoruje obcienie systemu i zajto pamici.
Jest zintegrowany z blackboxem (uywa jego ustawie wygldu), aczkolwiek
moe te pracowa z innym zarzd okien.

%prep
%setup -q
%patch0 -p1

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make} CXX="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS README TODO
%attr(755,root,root) %{_bindir}/bb*
%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/bbtools/%{name}.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: bbsload.spec,v $
Revision 1.9  2002/09/22 14:51:34  kloczek
- release 3: use new %doc.

Revision 1.8  2002/05/21 23:12:42  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.7  2002/04/25 15:52:04  arturs
fixed a small typo

Revision 1.6  2002/03/24 23:28:14  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.5  2002/02/22 23:28:43  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/02/03 20:43:15  ankry
- adding es/pt/pt_BR Group translations

Revision 1.3  2002/01/24 05:22:00  kloczek
- added "rm -f missing" on top %build.

Revision 1.2  2002/01/23 20:07:05  filon
- added sysconfdir patch (moves conf. files to /etc)
- config files are noreplace, noverify etc (you want to customize your blackbox, huh?)
- release 2

Revision 1.1  2002/01/23 10:49:53  filon
- new cute package
